ChangeListener.AlwaysVetoListener (BioJava-1.5-beta API)
Keywords: org.biojava.utils.ChangeListener.AlwaysVetoListener class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.utils
Class ChangeListener.AlwaysVetoListener

    java.lang.Object
      org.biojava.utils.ChangeListener.AlwaysVetoListener

All Implemented Interfaces:
  EventListener, ChangeListener

Enclosing interface:
  ChangeListener

    public static class ChangeListener.AlwaysVetoListener

extends Object
implements ChangeListener

An implementation that always vetoes everything.

Since:
  1.1
Author:
  Thomas Down, Matthew Pocock

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.utils.ChangeListener
`ChangeListener.AlwaysVetoListener, ChangeListener.ChangeEventRecorder, ChangeListener.LoggingListener`

Field Summary

Fields inherited from interface org.biojava.utils.ChangeListener
`ALWAYS_VETO, LOG_TO_OUT`

Constructor Summary
`protected` | `ChangeListener.AlwaysVetoListener()` Private constructor.

Method Summary
`void` | `postChange(ChangeEvent cev)` Called when a change has just taken place.
`void` | `preChange(ChangeEvent cev)` Called before a change takes place.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChangeListener.AlwaysVetoListener

    protected ChangeListener.AlwaysVetoListener()

  Private constructor.

Method Detail

### preChange

    public void preChange(ChangeEvent cev)
                   throws ChangeVetoException

  Description copied from interface: `ChangeListener`

  Called before a change takes place.

  This is your chance to stop the change by throwing a ChangeVetoException. This method does not indicate that the change will definitely take place, so it is not recomended that you take any positive action within this handler.

  Specified by:
    `preChange` in interface `ChangeListener`
  Parameters:
    `cev` - An event encapsulating the change which is about to take place.
  Throws:
    `ChangeVetoException` - Description of Exception

### postChange

    public void postChange(ChangeEvent cev)

  Description copied from interface: `ChangeListener`

  Called when a change has just taken place.

  This method is the place to perform any behavior in response to the change event.

  Specified by:
    `postChange` in interface `ChangeListener`
  Parameters:
    `cev` - An event encapsulating the change which has occured.
  Throws:
    `AssertionFailure` - if this is called, as preChange should have vetoed any change already

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD